Apr 28, 2010 
	FIX: Daniel Spagnol
		i18n.c, misc.c: replaced hard-coded XTRKCAD_LOCALE_DIR path with 
		'locale' based on application library directory (XTRKCAD_LOCALE_DIR is 
		defined at makefiles generation time and does not reflect the place 
		where the application is actually installed)

Jan 01, 2010 
	FIX: Martin Fischer
		custom.c, custom.h: fix compile warnings

Dec 30, 2009
	FIX: Martin Fischer
		misc.c: make load last layout option work
		
Dec 29, 2009
	FIX: Martin Fischer
		denum.c: remove signed / unsigned mismatch

Dec 19, 2009 
	FIX: Robert Heller
		cswitchmotor.c: Patch to fix Visual C++ compile error
	
Dec 12, 2009
	FIX: Martin Fischer
		draw.c, custom.c: refactoring, move some functionality from the lowlevel
		library to the more appropriate core application modules
		
Oct 14, 2009
	ENH: Daniel Spagnol
		chotbar.c: undone Oct 03, 2009 changes due to gtk+-2.18 fixed it for us.
		Actually gtk+-2.18 fixed all surface drawing performance issues for
		quartz.

Oct 09, 2009
	FIX: Daniel Spagnol
		denum.c: application crash due to a double value used as a "%*" sprintf
		argument. scenario is "Manage" -> "Parts List..." -> "Price" (checkbox).
		denum.c: added a character counter function for utf-8 strings

Oct 04, 2009
	FIX: Martin Fischer
		misc2.c: minimum radius is correctly changed

Oct 03, 2009
	FIX: Daniel Spagnol
		chotbar.c: hotbar redraw too slow under gtk-quartz

Sep 21, 2009
	ENH:  Martin Fischer <m_fischer@users.sourceforge.net>
		custom.c, misc.c, param.c, param.h, smalldlg.c smalldlg.h:
		New 'About' dialog

Sep 16, 2009
	FIX:  Martin Fischer <m_fischer@users.sourceforge.net>
		cblock.c, cswitchmotor.c: remove some unused locals
		
Aug 16, 2009
	FIX:  Martin Fischer <m_fischer@users.sourceforge.net>
		CMakeLists.txt cprint.c denum.c i18n.c i18n.h misc.c
		Improve internationalization support, use simple gettext on Win32

Aug 16, 2009
	FIX:  Martin Fischer <m_fischer@users.sourceforge.net>
		custom.c cturnout.c: Code cleanup
		
Jul 30, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		dcustmgm.c: set locale when exporting to parameter

Jul 24, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c: add command line option for configuration 
		file selection
	
Jul 10, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c: use getopt() for access to command line arguments
	
Jul 09, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		custom.c, misc.c, denum.c, doption.c: remove some 
		obsolete flags

Jul 08, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		cblock.c, cswitchmotor.c: make compile under MSVC

Jul 08, 2009
	ENH: Robert Heller
		cblock.c, cswitchmotor.c: new functionality for layout 
		control: blocks and switchmotors

Version 4.0.3a
==============

Jul 05, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		track.c: Bug fix #2816663: Block gaps are not printed
		
Jul 01, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		CMakeList.txt: remove dependency from unneeded cmisc2.c
		
Jun 26, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		custom.c: correct handling of export file extensions

Jun 20, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		ctodesgn.c: convert roadbed width as necessary 
		(Robert Myers)

Jun 15, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		tcurve.c, drawgeom.c: fix variable initialization 
		problems.
		
Jun 14, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		macro.c: make demos work again with new dialogs

Jun 13, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		dlayer.c: "changed" state of layout is updated with 
		layer changes. (DonDASA)

Version 4.0.3
=============

Jun 10, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		ctodesgn.c: remove unneeded local variables

Jun 08, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c: no tooltip for the main drawing area

Jun 06, 2009
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c: fix compiler warning
		
May 26, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		ctrain.c: update icons

May 25, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>	
		ctrain.c: change default for train running to 'Go'
		beautify throttle slider
		
May 25, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>	
		cturnout.c, track.c, track.h,utility.c, cparalle.c
		parallel command also works for straight pieces of 
		sectional track
		
May 15, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		macro.c, misc.c: more message boxes with icon

May 08, 2009
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		fileio.c, misc.c: use new message box with icon
		

Oct 11, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.h: fixed prototype for DoZoom as suggested by 
		Stefan Gruenendahl
	
Sep 05, 2008
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, cselect.c, track.c: create full partlist
		when no track is selected 
		
Sep 01, 2008
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, common.h: add new toolbar icons for file ops

Aug 29, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c: fixed bug #1821257: no zoom larger than 1:1

Jul 11, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c: update map on loading initial layout
		
Jul 10, 2008
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, misc.h, draw.c: allow user to cancel close request
		
Jun 04, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		cselect.c: Rescale dialog wasn't updated correctly
		misc2.c: fixed bug when rescale same piece several times

Jun 03. 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		CMakeLists.txt: find getext on Win32
		
Jun 03, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		cselect.c: fixed bug when rescale same piece several times
		csnap.c: initialize grid spacing value
		
Apr 13, 2008
	ENH: Bob Blackwell
		ctrain.c: updated label text

Mar 27, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		csnap.c: working default value for grid spacing

Mar 21, 2008
	FIX: Bob Blackwell
		doption.c: uppdated labels in option dialogs

Mar 18, 2008
	FIX: Bob Blackwell
		doption.c: rearrange option settings in display / command / preferences 
		dialog

Feb 04, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		CMakeLists.txt: Fix missing icon problem for Windows exe 

Feb 04, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		misc.c: Fixed an internationalization bug in MenuPlayback.

Feb 04, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		cnote.c: Minor fix to internationalization.

Feb 03, 2008
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		cprint.c: printout of date is correctly localized now.

Feb 03, 2008
	ENH: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, misc.h doption.c: on startup last file can now be loaded automatically.
		This behavior is controled by an option in the preferences dialog.

Jan 28, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		misc.c: Product name changed in font selection dialog.

Jan 28, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		common.c: Dynamically allocate and form some global translatable
		strings.

Jan 27, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		macro.c: String XTrkCad changed to XTrackCAD.

Jan 27, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, fileio.c: fixed product name
		
Jan 27, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		dcar.c: corrected problem in CarPartWrite()
		
Jan 25, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		custom.c, version.h: Changed product name to XTrackCAD and version 
		to 4.1.0b1
		
Jan 23, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		ctodesgn.c: Removed '_()' around turnout label from InitNewTurn()
		and ShowTurnoutDesigner().
		dcustmgm.c: Saving custom stuff in demo mode changed the locale
		to "C" without restoring it back to original.

Jan 23, 2008
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		fileio.c: increase precision for roomsize to 6 digits .

Jan 23, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		param.c: ParamPlayback(): If parameter type is PD_FLOAT, then use the
		locale "C" during atof().

Jan 22, 2008
	ENH: Mikko Nissinen <mni77@users.sourceforge.net>
		misc.c: Save user locale when program initializes.
		macro.c: Gettext support added.

Jan 21, 2008
	ENH: Mikko Nissinen <mni77@users.sourceforge.net>
		Gettext support added. The following 48 files were modified:
		ccurve.c, cdraw.c, celev.c, cgroup.c, chndldto.c, cjoin.c, cmisc.c,
		cmisc2.c, cmodify.c, cnote.c, compound.c, cparalle.c, cpull.c,
		cruler.c, cselect.c, csnap.c, csplit.c, cstraigh.c, cstruct.c,
		ctext.c, ctodesgn.c, ctrain.c, cturnout.c, cturntbl.c, cundo.c,
		custom.c, dbench.c, dbitmap.c, dcar.c, dcmpnd.c, dcustmgm.c, dease.c,
		denum.c, dlayer.c, doption.c, dpricels.c, dprmfile.c, draw.c,
		drawgeom.c, misc2.c, param.c, smalldlg.c, tcurve.c, tease.c, track.c,
		tstraigh.c

Jan 18, 2008
	FIX: Mikko Nissinen <mni77@users.sourceforge.net>
		dcar.c: CarInvSaveText() Car list text file is now created to
		selected path instead of current working directory.

Jan 15, 2008
	IMPROVEMENT: Mikko Nissinen <mni77@users.sourceforge.net>
		Basic gettext support added. Gettext is initialized in misc.c:wMain().
		The initialization routine is defined in i18n.[ch] along with all
		other gettext definitions.
			CMakeLists.txt
			fileio.[ch]
			i18n.[ch]
			misc.c
		Also the following CMakeLists were modified for gettext:
			xtrkcad/CMakeLists.txt
			xtrkcad/app/CMakeLists.txt
			xtrkcad/app/help/CMakeLists.txt
			xtrkcad/app/i18n/CMakeLists.txt (Initial import)
			xtrkcad/app/wlib/gtklib/CMakeLists.txt

Dec 13, 2007
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>	
		fileio.c: fixed segfault when locale is saved 

Dec. 12. 2007
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>	
		dlayer.c: layers lists are updated properly after file is loaded
		fileio.c: fixed segfault when locale is saved 
		Makefile: updated dependencies for dlayer.c
		
Dec 08, 2007
	FIX: Martin Fischer <m_fischer@users.sourceforge.net>
		xtrkcad.ico: create a new color icon

Dec. 01, 2007
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>	
		acclkeys.h: removed non-working accelerator key for deselect all

Nov. 30, 2007
	FIX: Timothy M. Shead
		misc.c: make sure that font initialization is run first

Oct 29, 2007
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		dlayer.c: Shortened button text to 'Defaults' 

Oct 10, 2007
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		csnap.c cprint.c, misc.c: Accelerator keys for Print and 
		Snap Grid Dialog work again. 
		
Oct 10, 2007
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		acclkeys.h: Revert and Redo used the same accelerator key. 
		Fixed, Revert doesn't have an acclerator now. 

Sep 28, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, smalldlg.c: Use large message for tip of the day 
		teaser line. Changed to a more generous spacing in dialogs.

Sep 23, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, smalldlg.c: separated tip window code into new 
		source file. Slightly improved the "tip of the day" dialog
		(jump to next and prev tip).

Sep 15, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c: XTrkCad now has a real splash window during startup

Jul 22, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c: the mouse wheel can be used for zooming in and out

Jun 27, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		dlayer.c: some cleanup and modified layer buttons. Also all 
		layer buttons where moved to the bitmaps directory.
		
Jun 16, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		fileio.c: default directory for storing files is the user's 
		home directory now.
		
Jun 15, 2007
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		dlayer.c: fixed function prototype for Windows compile

Jun 15, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		dlayer.c: layer buttons now are push buttons that are in
		'pressed' state when layer is visible.
		
Jun 15, 2007
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		dlayer.c, fileio.c, misc.c: settings for the layers can now 
		be saved in the preferences. On opening a new layout or upon
		startup of XTrkCad these settings are automatically loaded.

May 18, 2007

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c misc.c: disable zoom up and zoom down buttons when
		end of list is reached

Apr 30, 2007

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c, misc.c, draw.h: use radio buttons for selecting zoom factor
		zoom in and out goes through all available zoom factors step by step
		setting zoom is available from the pulldown menu as well		

Apr 11, 2007

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		draw.c: changed layout of status bar to include labels. 
		Part count is no longer shown.
		
Feb 23, 2007
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		cmisc.c, cselect.c rescale / resize works again. UI change to 
		allow changing scale and gauge independently
				
Feb 16, 2007

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		Recently used files list is only updated after successful load


Version 4.0.1
=============

May 26th, 2006

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		Visual Studio C++ 2005 Express is now supported under Windows

Mar 26th, 2006

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, fileio,c, draw.c If the application crashed the user can decide
		to resume work at the last state saved in a checkpoint file
		checkpoint files (ckp and ck1) are removed on normal exit

Mar 25th, 2006

	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		misc2.c prevent warning in DoSetScaleDesc

Mar 02nd, 2006

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		cturnout.c Improvements to the select turnout dialog, new turnout is drawn
		blue

Feb. 26th, 2006

	NEW FEATURE: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, cselect.c, 'Select orphaned track' command added to set all 
		unconnected track pieces.

Feb, 22nd, 2006

	NEW FEATURE: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, misc2.c, doption.c Scale and gauge are two independant seetings
		now.
	
	NEW FEATURE: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c, cselect.c Add new function 'Invert Selection' which inverts
		the selection state of all visible objects on the layout
	
	NEW FEATURE: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c Add new function 'Revert' to main menu, implemented in ChkRevert
		acclkeys.h Added Ctrl-r as accelerator for 'Revert'
	
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		cselect.c Optimized performance for 'Select Connected' operation

	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		bllnhelp.c: removed inconsistencies in usage of 'track' and 'object'
		
	IMPROVEMENT: Martin Fischer <m_fischer@users.sourceforge.net>
		misc.c: moved 'Join' command to 'Change' menu
		
	BUGFIX: Martin Fischer <m_fischer@users.sourceforge.net>
		fileio.c Setting locale to portable 'C' before reading/writing parameters
		and trackplans to prevent problems with locales that use comma as decimal
		separator ( eg. Germany ) 

	BUGFIX: 
